from math import*

def f(x):
    y=(-1/2)*x**2+3*x
    return y

print('ATTENTION, vous devez respecter : a<b')

def maxi(a,b,N):
    m=f(a)
    pas=(b-a)/N
    x=a
    for k in range(0,N):
        if f(x+pas)>f(x):
            m=f(x+pas)
        x=x+pas
    reponse='Le maximum de f sur [a;b] est voisin de :' + str(m)
    return reponse


